org.appng.search.json

## Class Page

- java.lang.Object
- - org.appng.search.json.Page

-     public class Page
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Page()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getNumberOfElements()`
    `int` | `getNumberOfPages()`
    `int` | `getPage()`
    `String` | `getPageParam()`
    `int` | `getPageSize()`
    `String` | `getPageSizeParam()`
    `void` | `setNumberOfElements(long numberOfElement)`
    `void` | `setNumberOfPages(int numberOfPages)`
    `void` | `setPage(int page)`
    `void` | `setPageParam(String pageParam)`
    `void` | `setPageSize(int pageSize)`
    `void` | `setPageSizeParam(String pageSizeParam)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Page

          public Page()

  - ### Method Detail

    - #### getPage

          public int getPage()

    - #### setPage

          public void setPage(int page)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public void setPageSize(int pageSize)

    - #### getNumberOfPages

          public int getNumberOfPages()

    - #### setNumberOfPages

          public void setNumberOfPages(int numberOfPages)

    - #### getNumberOfElements

          public long getNumberOfElements()

    - #### setNumberOfElements

          public void setNumberOfElements(long numberOfElement)

    - #### getPageParam

          public String getPageParam()

    - #### setPageParam

          public void setPageParam(String pageParam)

    - #### getPageSizeParam

          public String getPageSizeParam()

    - #### setPageSizeParam

          public void setPageSizeParam(String pageSizeParam)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.